Skip to main content
GET
Get a single action decision

Authorizations

Authorization
string
header
required

A VisIQ API key presented as Authorization: Bearer vq_prod_.... Mint keys under Connectors -> API Keys in the dashboard.

Path Parameters

id
string<uuid>
required

The decision (audit-log entry) UUID.

Response

The decision, with an attached hitl object (or null).

id
string<uuid>
agent_id
string
target_app
string
action
string
context
object
decision
enum<string>
Available options:
permit,
deny,
approval_required,
mask
reason
string | null
rule_id
string | null
hitl_result
enum<string> | null
Available options:
approved,
rejected,
timeout,
null
hitl_responded_at
string<date-time> | null
hitl_responded_by
string | null
created_at
string<date-time>
execution_result
string | null
execution_completed_at
string<date-time> | null
execution_details
object | null
vendor_id
string
hitl
object | null

The linked approval item when the decision was approval_required, else null.